# $Revision: 1.3 $, $Date: 2004/05/21 18:01:44 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Text
%define	pnam	Aligner
Summary:	Text::Aligner - justify strings to various alignment styles
Summary(pl):	Text::Aligner - justowanie acuchw z rnymi stylami wyrwnania
Name:		perl-Text-Aligner
Version:	0.03
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	dd329d4e7e0ef200fd1f653ac9e828e0
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Justify strings to various alignment styles.

%description -l pl
Justowanie acuchw z rnymi stylami wyrwnania.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Text/Aligner.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-Aligner.spec,v $
Revision 1.3  2004/05/21 18:01:44  qboosh
- better summaries

Revision 1.2  2004/05/21 17:54:29  qboosh
- pl, BR: perl-devel

Revision 1.1  2004/05/21 03:21:32  arekm
- initial pld release
